uniform highp sampler2D inImage;
uniform highp float inSigma;

varying highp vec4 varPosition;

#define PI 3.1415926535
#define STEPSIZE vec2(0.0, 1.0 / 50.0)

void main() {
    highp vec4 texCoords = varPosition;
    texCoords.t *= -1.0;
    texCoords += 0.5;

	highp vec4 g;
	g.x = 1.0/ (sqrt(2.0 * PI) * inSigma);
	g.y = exp(-0.5 / (inSigma * inSigma));
	g.z = g.y * g.y;
	g.q = 1.0;
	highp vec4 center = texture2D(inImage, texCoords.st);
	highp vec4 sum = g.x * center;
	highp float norm = g.x;
	g.xy *= g.yz;

	highp vec4 sam1  = texture2D(inImage, texCoords.st + STEPSIZE);
	highp vec4 sam2 = texture2D(inImage, texCoords.st - STEPSIZE);
 	sum += g.x * sam1;
	sum += g.x * sam2;
	norm += 2.0 * g.x;

	highp vec3 result = (sum/norm).rgb;

	gl_FragColor = vec4(result, 1.0);
}
